{
  "name": "web-app",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "engines": {
    "node": "^20.19.0 || >=22.12.0"
  },
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build",
    "lint": "eslint . --fix",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "^7.0.1",
    "@fortawesome/free-regular-svg-icons": "^7.0.1",
    "@fortawesome/free-solid-svg-icons": "^7.0.1",
    "@fortawesome/vue-fontawesome": "^3.1.2",
    "@idle-observer/vue3": "^0.2.0",
    "chart.js": "^4.5.1",
    "chartjs-adapter-date-fns": "^3.0.0",
    "date-fns": "^4.1.0",
    "date-fns-tz": "^3.2.0",
    "pinia": "^3.0.3",
    "vue": "^3.5.18",
    "vue-chartjs": "^5.3.2",
    "vue-router": "^4.5.1",
    "vue3-select-component": "^0.12.3"
  },
  "devDependencies": {
    "@tsconfig/node22": "^22.0.2",
    "@types/node": "^22.18.6",
    "@vitejs/plugin-vue": "^6.0.1",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.6.0",
    "@vue/tsconfig": "^0.7.0",
    "eslint": "^9.36.0",
    "eslint-plugin-vue": "~10.3.0",
    "jiti": "^2.5.1",
    "npm-run-all2": "^8.0.4",
    "prettier": "3.6.2",
    "typescript": "~5.8.0",
    "vite": "^7.1.6",
    "vite-plugin-vue-devtools": "^8.0.2",
    "vue-tsc": "^3.0.7"
  }
}
